using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp21
{
    class Program
    {
        static void Main(string[] args)
        {
            string red = Console.ReadLine();
            string[] x = red.Split(' ');
            int a = int.Parse(x[0]);
            int b = int.Parse(x[1]);
            int c = int.Parse(x[2]);
            int a1 = a;
            int b1 = b;
            int c1 = c;

            int n1 = 0;
            while (a!=0)
            {
                a = a / 10;
                ++n1;
            }
            int n2 = 0;
            while (b!= 0)
            {
                b = b / 10;
                ++n2;
            }
            int n3 = 0;
            while (c != 0)
            {
                c = c / 10;
                ++n3;
            }

            int br1 = a1 * (int)Math.Pow(10, n2 + n3) + b1 * (int)Math.Pow(10, n3) + c1;
            int br2 = a1 * (int)Math.Pow(10, n2 + n3) + c1 * (int)Math.Pow(10, n2) + b1;
            int br3 = b1 * (int)Math.Pow(10, n1 + n3) + a1 * (int)Math.Pow(10, n3) + c1;
            int br4 = b1 * (int)Math.Pow(10, n1 + n3) + c1 * (int)Math.Pow(10, n1) + a1;
            int br5 = c1 * (int)Math.Pow(10, n2 + n1) + a1 * (int)Math.Pow(10, n2) + b1;
            int br6 = c1 * (int)Math.Pow(10, n2 + n1) + b1 * (int)Math.Pow(10, n1) + a1;

            int br = Math.Max(Math.Max(br1, br2), Math.Max(Math.Max(br3, br4), Math.Max(br5, br6)));

            Console.WriteLine(br);



        }
    }
}